[Bug 126106] Re: ipkungfu script uses wrong shell interpreter

Marco Rodrigues gothicx at sapo.pt
Sun Jul 15 14:14:17 BST 2007


** Attachment removed: "ipkungfu_0.6.1-4ubuntu1.debdiff"

   http://launchpadlibrarian.net/8484808/ipkungfu_0.6.1-4ubuntu1.debdiff

** Attachment added: "ipkungfu_0.6.1-4ubuntu1.debdiff"
   http://launchpadlibrarian.net/8485141/ipkungfu_0.6.1-4ubuntu1.debdiff

** Summary changed:

- ipkungfu script uses wrong shell interpreter
+ ipkungfu script uses wrong shell instructions

** Description changed:

- Script /etc/init.d/ipkungfu uses /bin/sh as a shell which in Ubuntu
- Edgy/Feisty not compatible with bash. And the script does use bash-
- specific features.
- 
- Fix is very simple - just replace bin/sh with bin/bash.
+ Script /etc/init.d/ipkungfu is /bin/sh and it uses for example echo -ne
+ and that's bash stuff.

-- 
ipkungfu script uses wrong shell instructions
https://bugs.launchpad.net/bugs/126106
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list